Rev 416: convert ctdbd.sh tests to use an event script in
http://samba.org/~tridge/ctdb
tridge at samba.org
tridge at samba.org
Fri Jun 1 09:04:51 GMT 2007
------------------------------------------------------------
revno: 416
revision-id: tridge at samba.org-20070601090451-j8awt4re8c546udf
parent: tridge at samba.org-20070601071619-cmxuezizcypnfhx7
committer: Andrew Tridgell <tridge at samba.org>
branch nick: tridge
timestamp: Fri 2007-06-01 19:04:51 +1000
message:
convert ctdbd.sh tests to use an event script
modified:
tests/ctdbd.sh ctdbd.sh-20070411085038-phusiewluwzyqjpc-2
=== modified file 'tests/ctdbd.sh'
--- a/tests/ctdbd.sh 2007-05-29 02:16:59 +0000
+++ b/tests/ctdbd.sh 2007-06-01 09:04:51 +0000
@@ -3,8 +3,10 @@
killall -q ctdbd
echo "Starting 2 ctdb daemons"
-$VALGRIND bin/ctdbd --nlist direct/nodes.txt
-$VALGRIND bin/ctdbd --nlist direct/nodes.txt
+$VALGRIND bin/ctdbd --nlist direct/nodes.txt --event-script=tests/events --logfile=-
+$VALGRIND bin/ctdbd --nlist direct/nodes.txt --event-script=tests/events --logfile=-
+
+sleep 2
echo "Testing ping"
$VALGRIND bin/ctdb ping || exit 1
@@ -19,7 +21,7 @@
$VALGRIND bin/ctdb -n all statisticsreset || exit 1
echo "Testing debug"
-$VALGRIND bin/ctdb -n all setdebug 5 || exit 1
+$VALGRIND bin/ctdb -n all setdebug 3 || exit 1
$VALGRIND bin/ctdb -n all getdebug || exit 1
$VALGRIND bin/ctdb -n all setdebug 0 || exit 1
$VALGRIND bin/ctdb -n all getdebug || exit 1
@@ -31,6 +33,15 @@
echo "Testing getdbmap"
$VALGRIND bin/ctdb getdbmap || exit 1
+echo "Testing status"
+$VALGRIND bin/ctdb status || exit 1
+
+sleep 1
+
+echo "Testing shutdown"
+$VALGRIND bin/ctdb shutdown -n all || exit 1
+
+sleep 1
+
echo "All done"
-
killall -q ctdbd
More information about the samba-cvs
mailing list